clamav-update
clamav-update のフォーラム
 
 FAQFAQ   検索検索   メンバーリストメンバーリスト   ユーザーグループユーザーグループ   登録する登録する 
 プロフィールプロフィール   プライベートメッセージをチェックするプライベートメッセージをチェックする   ログインログイン 

clamav-update 2.1 リリース

 
新しいトピックを投稿   このトピックは閉鎖されているので記事編集または返信投稿はできません    clamav-update Forum Index -> Announce
前のトピックを表示 :: 次のトピックを表示  
投稿者 メッセージ
okamura
Site Admin


登録日: 2006.11.13
記事: 291
所在地: 埼玉県

記事日時: 2007-03-07 19:12:02+00:00    記事の件名: clamav-update 2.1 リリース 引用付きで返信

clamav-update 2.1 をリリースしました。clamav-update 2.0 系を利用している ClamXav ユーザの方は clamav-update 自身でアップデートできます。

前のバージョンからの主な変更は次のとおりです。
  1. Linux をサポート。
    インストールスクリプトやビルトインのフェーズ定義関数にあった BSD 系 UNIX 依存の箇所を改善しました。Linux の代表として Fedora Core 6 でテスト済みです。
  2. アップデート制限機能の追加。
    メジャーアップデートなどで、インストールの仕方や設定ファイルに互換性がなくなる恐れがあるバージョン以降の自動更新を制限する機能です。
  3. ClamXav ユーザでない場合のセルフアップデートの改善。
    clamav-update 自身を更新する場合、Mac OS X の ClamXav でないとき clamav-update ではなく ClamAV のアップデートの仕方になっていた問題を修正しました。
2 の新機能は ClamAV 0.88.7 と 0.90 の間に、設定ファイルの互換性がなかったため、clamav-update で自動更新後 ClamAV の様々な機能が使えなくなったことをきっかけに実装しました。予めこのバージョンになったら自動更新をしないと指定できます。既にドキュメントには記述してあります。(参照: ドキュメントの当該箇所)

詳しくはリリースメモ変更履歴をご覧ください。

追記:
リリースメモにも記載しましたが、Mac OS X など BSD 系の UNIX で install.command または install.sh を用いてインストールするとき
Code:
expr: syntax error
というエラーメッセージが出されてインストールできません。
この問題を修正したファイルをリリースファイルに加えてました。(install4bsd.sh.tar.gz)
Mac OS X など BSD 系の UNIX でインストールする場合は、このファイルを解凍してできる install.sh で clamav-update-2.1 の中の install.sh を差し替えてからインストールしてください。
_________________
OKAMURA
トップに戻る
ユーザーのプロフィールを表示 プライベートメッセージを送信 投稿者のウェブサイトに移動 AIM
特定期間内の記事を表示:   
新しいトピックを投稿   このトピックは閉鎖されているので記事編集または返信投稿はできません    clamav-update Forum Index -> Announce All times are GMT + 9 Hours
Page 1 of 1

 
移動先:  
新規投稿: 不可
返信投稿: 不可
記事編集: 不可
記事削除: 不可
投票参加: 不可


Hosting by SourceForge.jp
Powered by phpBB © 2001, 2005 phpBB Group
Traduction par : PHPBB JAPAN / EUC-JP Edition : JP Support Forum